Subject: Re: [British-cars] [TR] who is the guy who rebuilds LBC distributors?

From: [email-masked]
Date: Fri, 9 Nov 2012 04:45:28 +0000 (UTC)

----- Original Message -----
> From: "Tony Drews" <[email-masked]>
> To: [email-masked], [email-masked]
> Cc: "Triumphs" <[email-masked]>
> Sent: Thursday, November 8, 2012 1:06:23 PM
> Subject: Re: [TR] who is the guy who rebuilds LBC distributors?

> I think this is who you're looking for:
> http://www.advanceddistributors.com
> 17495 Marystown Road
> Shakopee, MN 55379
> (612)-804-5543
> 
> I'm planning to pick up a unit from them in the winter rebuild.
> 
> Tony Drews

(slapping forehead)  I remember now.  They had an open house (I was otherwise engaged).  One of our Minnesota Triumphs members was waxing eloquent at our meeting about the place.

Phil Ethier West Side Saint Paul Minnesota USA
1973 Triumph Stag LE22439UBW "uncle jack", Sapphire Blue
2004 Suburban 8.1, Sport Red, the only automatic of the bunch
2005 Lotus Elise, Bordeaux Red Pearl
2007 Saturn Ion 3 2.4, Berry Red
[email-masked]
http://www.flickr.com/photos/pethier
http://www.flickr.com/groups/triumphtransamerica
http://www.mnautox.com
http://www.mntriumphs.org
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive